<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Name: KEZO Allergy Concern
Description: Bouwsteen: Allergie / Intolerantie 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000">
   <title>KEZO Allergy Concern</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]
Item: (kezo-Allergyconcernact)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']"
         id="tmp-r-b73012f6-8c5a-49dc-9fe6-57c70cc6a630">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="string(@classCode)=('ACT')">(kezo-Allergyconcernact): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="string(@moodCode)=('EVN')">(kezo-Allergyconcernact): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.212'])&gt;=1 ">(kezo-Allergyconcernact): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.212'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.212'])&lt;=1">(kezo-Allergyconcernact): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.212'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-Allergyconcernact): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')])&gt;=1 and not(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')]/@nullFlavor)">(kezo-Allergyconcernact): element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')])&lt;=1">(kezo-Allergyconcernact): element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&gt;=1 and not(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]/@nullFlavor)">(kezo-Allergyconcernact): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&lt;=1">(kezo-Allergyconcernact): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(kezo-Allergyconcernact): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']])&gt;=1 ">(kezo-Allergyconcernact): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']"
         id="tmp-r-77f0e093-46a7-4e2b-baa5-bd0d1ce5ec39">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Allergyconcernact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.212')">(kezo-Allergyconcernact): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.212' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:id
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:id"
         id="tmp-r-08be1f93-73c4-4bab-8c01-7a72a20e59df">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Allergyconcernact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')]
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')]"
         id="tmp-r-0ad27a9b-6e3c-4f2b-8cf6-0bf04c341938">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Allergyconcernact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(kezo-Allergyconcernact): de elementwaarde MOET een zijn van 'code 'CONC' codeSystem '2.16.840.1.113883.5.6''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]"
         id="tmp-r-3b79cf2e-fa68-4c23-8d38-424052ad7b2c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Allergyconcernact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(kezo-Allergyconcernact): de elementwaarde MOET een zijn van '2.16.840.1.113883.11.20.9.19 ProblemAct statusCode (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.19-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-Allergyconcernact): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.19 ProblemAct statusCode (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:effectiveTime
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:effectiveTime"
         id="tmp-r-08909734-86bf-4374-a898-e9edf59a8b4e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Allergyconcernact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:low)&gt;=1 ">(kezo-Allergyconcernact): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:low)&lt;=1">(kezo-Allergyconcernact): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:high)&lt;=1">(kezo-Allergyconcernact): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:effectiveTime/hl7:low
Item: (kezo-Allergyconcernact)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:effectiveTime/hl7:high
Item: (kezo-Allergyconcernact)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author
Item: (kezo-Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author"
         id="tmp-r-95a55af6-b6e0-4dba-b1e2-7495eb061532">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(kezo-Allergyconcernact): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(kezo-Allergyconcernact): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:functionCode)&lt;=1">(kezo-Allergyconcernact): element hl7:functionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:time)&gt;=1 ">(kezo-Allergyconcernact): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-Allergyconcernact): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(kezo-Allergyconcernact): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(kezo-Allergyconcernact): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9025
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:functionCode
Item: (kezo-CDAAuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:functionCode"
         id="tmp-r-69b5de0a-a736-4d58-8714-29eb739e5f63">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAuthorBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9025
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:time
Item: (kezo-CDAAuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:time"
         id="tmp-r-8b910c62-d2b1-4a9b-8e64-e1ba881a6c10">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAuthorBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9025
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor
Item: (kezo-CDAAuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-a54ff53e-739a-4daf-8732-362041b70da2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(kezo-CDAAuthorBody): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-CDAAuthorBody): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:id)&lt;=1">(kezo-CDAAuthorBody): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAAuthorBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:representedOrganization)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="$elmcount&gt;=1">(kezo-CDAAuthorBody): keuze (hl7:assignedPerson of hl7:representedOrganization) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="$elmcount&lt;=2">(kezo-CDAAuthorBody): keuze (hl7:assignedPerson of hl7:representedOrganization) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:assignedPerson)&lt;=1">(kezo-CDAAuthorBody): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:representedOrganization)&lt;=1">(kezo-CDAAuthorBody): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-7a5dbee4-192b-4004-b9f5-40e6f756c3c8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-r-3e2fab1e-34cf-4e6d-8d56-ce63837f6c2b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-CDAAssignedEntity): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-CDAAssignedEntity): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-2a977a5f-f20a-4385-b6c6-fa520c665ae1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-c5545afa-c5f5-4b24-bb6d-185cc364237a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor
Item: (kezo-CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-f6d84fbe-1413-4374-b76c-4cd00de8dc8d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(kezo-CDAAssignedEntity): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(kezo-CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-be7f79be-3200-4bef-a8e2-9b573683145c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-e97ff34c-c8c8-47ed-8271-b23b6dc12c05">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(kezo-CDAAssignedEntity): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(kezo-CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 ">(kezo-CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(kezo-CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(kezo-CDAAssignedEntity): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:name)&lt;=1">(kezo-CDAAssignedEntity): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:addr)&lt;=1">(kezo-CDAAssignedEntity): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(kezo-CDAAssignedEntity): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAOrganization)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-f5dec49b-0cc1-45a3-9843-b74cd2bf97c3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.3')">(CDAOrganization): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-cb3c1cb5-5112-44bd-a363-0e9c23035df7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-50fef3ee-85fd-4c37-ba83-8cfb12b2f3dc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-bc381ea0-b0c1-4215-b0d5-16fb8f26781b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-7c9de3f0-5718-49fe-a6fb-d5bd8511192e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode"
         id="tmp-r-bdd593a4-a89b-4b9d-a5cd-532a74aade30">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.215
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]
Item: (kezo-Allergyconcernact)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.215']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.212']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.html"
              test="string(@typeCode)=('SUBJ')">(kezo-Allergyconcernact): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
